Show / Hide Table of Contents

# Class PluginLogFilePrinter

Prints log messages to the file specified by the name.

##### Inheritance

Object
LogPrinter
GZFilePrinter
PluginLogFilePrinter

##### Implements

IDisposable

##### Inherited Members

GZFilePrinter.FileWriter
GZFilePrinter.StartPrint()
GZFilePrinter.EndPrint()
GZFilePrinter.Dispose()
GZFilePrinter.Dispose(Boolean)
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging.Printers

###### Assembly: IPA.Loader.dll

##### Syntax

    public class PluginLogFilePrinter : GZFilePrinter, IDisposable

### Constructors

| Improve this Doc View Source

#### PluginLogFilePrinter(String)

Creates a new printer with the given name.

##### Declaration

    public PluginLogFilePrinter(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | the name of the logger

### Properties

| Improve this Doc View Source

#### Filter

Provides a filter for this specific printer.

##### Declaration

    public override Logger.LogLevel Filter { get; set; }

##### Property Value

Type | Description
--- | ---
Logger.LogLevel | the filter level for this printer

##### Overrides

LogPrinter.Filter

### Methods

| Improve this Doc View Source

#### GetFileInfo()

Gets the FileInfo for the target file.

##### Declaration

    protected override FileInfo GetFileInfo()

##### Returns

Type | Description
--- | ---
FileInfo | the file to write to

##### Overrides

GZFilePrinter.GetFileInfo()
| Improve this Doc View Source

#### Print(Logger.Level, DateTime, String, String)

Prints an entry to the associated file.

##### Declaration

    public override void Print(Logger.Level level, DateTime time, string logName, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
Logger.Level | level | the Logger.Level of the message
DateTime | time | the DateTime the message was recorded at
String | logName | the name of the log that sent the message
String | message | the message to print

##### Overrides

LogPrinter.Print(Logger.Level, DateTime, String, String)

### Implements

System.IDisposable

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])